
Auto Multiple Choice - Feature # 26: more option for AMCcode

Status: WontFix Priority: Normal
Author: red sea Category:
Created: 03/22/2012 Assignee:
Updated: 04/17/2012 Due date:
Description: - make "\AMCcode{name}{10}" some options like the question.

1- now we can control the number of columns (like {10} that means ten columns), i hope we can control the 
number of rows (like {5} means 5 boxs in every columns).

2- i hope we have control the content of the boxs, like the boxs of question.
in the box of question :
the default content is (A)
\wrongchoice{}%

but when we added [Z], we can change A to Z :
\wrongchoice[Z]{}%

why:
- to make \AMCcode for :
status(student condition) - sex - term - sector - stage - ....
whit professional design (i know we can now used a quastion form to do this with script in the head, but not 
easy for all and Form design is professional).

best regards

History
03/22/2012 10:46 pm - red sea
As well as the possibility of writing beside the box.

03/22/2012 11:08 pm - red sea

Suggested to be this way:
\AMCcode{name}{columnsNum}{rowsNum}{}

when we want to write any thing beside the boxs..
\AMCcode{name}{columnsNum}{rowsNum}{
\text [m]{1}{male}
\text [f]{2}{female}
...

}

03/22/2012 11:14 pm - red sea
the content inside the box must be 1 number or 1 letter.

03/23/2012 03:59 pm - Alexis Bienvenüe
- Description changed from 
- make "\AMCcode{name}{10}" some options like the question.
1- now we can control the number of columns (like {10} that means ten columns), i hope we can control the number of rows (like {5} means 5 boxs in 
every columns).

2- i hope we have control the content of the boxs, like the boxs of question.
in the box of question :
the default content is (A)
\wrongchoice{}%

but when we added [Z], we can change A to Z :
\wrongchoice[Z]{}%

why:
- to make \AMCcode for :
status(student condition) - sex - term - sector - stage - ....
whit professional design (i know we can now used a quastion form to do this with script in the head, but not easy for all and Form design is 
professional).

best regards to - make "\AMCcode{name}{10}" some options like the question.
1- now we can control the number of columns (like {10} that means ten columns), i hope we can control the number of rows (like {5} means 5 boxs in 
every columns).

2- i hope we have control the content of the boxs, like the boxs of question.
in the box of question :
the default content is (A)
\wrongchoice{}%

but when we added [Z], we can change A to Z :
\wrongchoice[Z]{}%

why:
- to make \AMCcode for :
status(student condition) - sex - term - sector - stage - ....
whit professional design (i know we can now used a quastion form to do this with script in the head, but not easy for all and Form design is 
professional).

best regards

The user can do anything he wants using LaTeX commands, following the example of the @AMCcode@ definition in the style file. Just keep in mind 
that the scores from questions named @XXX.3@, @XXX.2@, @XXX.1@ will be concatenated to get the value of the field @XXX@ in the exported 
files.

04/17/2012 02:11 pm - Alexis Bienvenüe
- Status changed from New to WontFix
